<bugID>1224453<Summary>Revoking persistent camera+mic permissions from different-domain iframe is confusing/hard</Summary><Description>STR:
1. Open https://jsfiddle.net/srn9db4h/
2. Hit [Start] and "Always Share".
3. Refresh the page.
4. Try to revoke the camera+mic access you added in (2).

Expected result: I can turn it off in the Page Info dropdown.
Actual result: That doesn't work because of Bug 1201972.

Workarounds:

A. Hit [Start] to turn on cam+mic again, then click camera icon and "Stop Sharing".
B. Right-click LR frame / This Frame / Show Only This Frame, then Page Info / Block. 
C: about:permissions (going away soon in bug 933917), and find jshell.net sub-domain.

B and C are hard and unintuitive.

A is insufficient, because a user may not have control over turning on the camera and mic (a spying malicious site that's been able to obtain persistent permission may only turn the camera or mic on when the browser is idle, turning it off as soon as the user moves the mouse).</Description></bugID>